"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Logger", {
  enumerable: true,
  get: function get() {
    return _logger.Logger;
  }
});
exports.executeViaSpawn = executeViaSpawn;
var _child_process = require("child_process");
var _logger = require("../build/utils/logger");
function executeViaSpawn() {
  return new Promise(function (resolve) {
    var command = ["ZDLintingFramework", "lint", "--", "--lintEnv=pre-commit"];
    var child_process = (0, _child_process.spawn)("npx", command);
    child_process.stdout.on("data", function (output) {
      _logger.Logger.log(_logger.Logger.INFO_TYPE, output.toString());
    });
    child_process.stderr.on("err", function (error) {
      _logger.Logger.log(_logger.Logger.FAILURE_TYPE, error);
    });
    child_process.on("close", function (data) {
      resolve(data);
    });
  });
}