"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSummaryOfLint = getSummaryOfLint;
exports.writeSummaryOfLint = writeSummaryOfLint;
var _path = _interopRequireDefault(require("path"));
var _fileUtils = require("../utils/fileUtils");
var _cliArgsToObject2 = require("../utils/cliArgsToObject");
var _eslintLintStage = require("./eslintLintStage");
var _startSeverSonarQube = require("./startSever-sonarQube");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function getSummaryOfLint(cliParams) {
  var _cliArgsToObject = (0, _cliArgsToObject2.cliArgsToObject)(cliParams),
    repo = _cliArgsToObject.repo,
    branch = _cliArgsToObject.branch,
    username = _cliArgsToObject.username,
    lintEnv = _cliArgsToObject.lintEnv;
  var $projectName = repo && branch && username ? "".concat(repo, "_").concat(branch, "_").concat(username) : 'UAT_Testing';
  if (lintEnv === "pre-commit") {
    $projectName = (0, _startSeverSonarQube.getProjectNameFrmGit)();
  }
  return {
    projectName: $projectName,
    reportUrl: "https://serverlinter-np.zohodesk.csez.zohocorpin.com/project/issues?id=".concat($projectName, "&resolved=false"),
    jsonReportPath: (0, _eslintLintStage.getReportPath)().toString()
  };
}
function writeSummaryOfLint(cliParams) {
  (0, _fileUtils.writeFileContents)(_path["default"].resolve(process.cwd(), "uat", "lint-report", "lint-summary.json"), JSON.stringify(_objectSpread(_objectSpread({}, getSummaryOfLint(cliParams)), (0, _startSeverSonarQube.getLintStatus)())));
}